## org.hibernate.ejb.criteria
Class CriteriaQueryCompiler

    java.lang.Object
      org.hibernate.ejb.criteria.CriteriaQueryCompiler

All Implemented Interfaces:
  Serializable

    public class CriteriaQueryCompiler

extends Object
implements Serializable

Compiles a JPA criteria query into an executable `TypedQuery`. Its single contract is the `compile(javax.persistence.criteria.CriteriaQuery<T>)` method.

NOTE : This is a temporary implementation which simply translates the criteria query into a JPAQL query string. A better, long-term solution is being implemented as part of refactoring the JPAQL/HQL translator.

See Also:
  Serialized Form

Nested Class Summary
`static interface` `CriteriaQueryCompiler.ImplicitParameterBinding` Used to describe implicit (not defined in criteria query) parameters.
`static interface` `CriteriaQueryCompiler.RenderedCriteriaQuery`
`static interface` `CriteriaQueryCompiler.RenderingContext` Used to provide a context and services to the rendering.

Constructor Summary
`CriteriaQueryCompiler(HibernateEntityManagerImplementor entityManager)`

Method Summary

`

`<T> TypedQuery<T>`

`

`compile(CriteriaQuery<T> criteriaQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CriteriaQueryCompiler

    public CriteriaQueryCompiler(HibernateEntityManagerImplementor entityManager)

Method Detail

### compile

    public <T> TypedQuery<T> compile(CriteriaQuery<T> criteriaQuery)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.